API
X (Twitter) API
The AI-powered X provides 360° Global Media Data & Intelligence on X (Twitter) users, community managers, journalists, brands, and real-time communication teams.
APIリファレンス バージョン: 1.0.0 7 エンドポイント 認証
ベース URL
https://pressmonitor.com/api 認証
すべてのリクエストには x-api-key と x-subscription-id ヘッダーが必要です。x-api-key はアカウントを認証し、x-subscription-id は購読サービスを選択します。
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/twitter_user X (Twitter) Twitter Utilisateur
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| username | string | query | はい | Username |
コード例
curl -X GET \
"https://pressmonitor.com/api/twitter_user?username=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/twitter_tweets X (Twitter) Twitter Tweets
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| username | string | query | はい | Username |
| count | integer | query | いいえ | Number of results |
コード例
curl -X GET \
"https://pressmonitor.com/api/twitter_tweets?username=VALUE&count=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/twitter_search X (Twitter) Twitter Recherche
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| query | string | query | はい | Search query |
| count | integer | query | いいえ | Number of results |
コード例
curl -X GET \
"https://pressmonitor.com/api/twitter_search?query=VALUE&count=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/twitter_tweet X (Twitter) Twitter Tweet
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| pid | string | query | はい | Tweet ID |
コード例
curl -X GET \
"https://pressmonitor.com/api/twitter_tweet?pid=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/twitter_followers X (Twitter) Twitter Abonnés
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user | string | query | はい | Numeric user ID |
| count | integer | query | いいえ | Number of results |
コード例
curl -X GET \
"https://pressmonitor.com/api/twitter_followers?user=VALUE&count=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/twitter_followers_page X (Twitter) Twitter Abonnés Page
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user | string | query | はい | Numeric user ID |
| count | integer | query | いいえ | Number of results |
| cursor | string | query | いいえ | Pagination cursor |
コード例
curl -X GET \
"https://pressmonitor.com/api/twitter_followers_page?user=VALUE&count=VALUE&cursor=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/twitter_followings_page X (Twitter) Twitter Abonnements Page
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| user | string | query | はい | Numeric user ID |
| count | integer | query | いいえ | Number of results |
| cursor | string | query | いいえ | Pagination cursor |
コード例
curl -X GET \
"https://pressmonitor.com/api/twitter_followings_page?user=VALUE&count=VALUE&cursor=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
